Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 4638 - Update de-installed package!
Summary: Update de-installed package!
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: rpm
Version: 1.0
Hardware: i386
OS: Linux
high
high
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-08-21 08:08 UTC by sg618lo
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-08-21 14:01:57 UTC


Attachments (Terms of Use)

Description sg618lo 1999-08-21 08:08:44 UTC
Tried to update rpm-3.0.3-0.12.i386.rpm to
rpm-3.0.3-0.14.i386.rpm with the
rpm -U rpm-3.0.3-0.14.i386.rpm command. The command
resulted in an uninstallation of the rpm-package instead
of an upgrade, including the rpm-database (!!!).

Would appreciate any hint in how to re-install rpm
and re-build the rpm-database.

Comment 1 Jeff Johnson 1999-08-21 14:01:59 UTC
You will need to get a tarball containing an rpm binary from
	 ftp://ftp.rpm.org/pub/rpm/dist/rpm-3.0.x/rpm-3.0.2-6.0.i386.tar.gz

Then do (as root)
	cd /var/tmp
	tar xzvf rpm-3.0.2-6.0.i386.tar.gz
	cp ./bin/rpm /bin/rpm
	mkdir -p /usr/lib/rpm
	cp ./usr/lib/rpm/* /usr/lib/rpm

You should then reinstall rpm from an whatever version of the package
you wish to run.

Your database should be fine.


Note You need to log in before you can comment on or make changes to this bug.